Create Batch StatementJobs
Create a batch of StatementJobs for multiple bills.
Initiate the creation of multiple StatementJobs asynchronously for the list of bills with the given UUIDs:
- The default format for generating Bill Statements is in JSON format and according to the Bill Statement Definition you’ve specified at either Organization level or Account level.
- If you also want to generate the Statements in CSV format, use the
includeCsvFormatrequest body parameter. - The response body provides a time-bound pre-signed URL, which you can use to download the JSON format Statement.
- When you have generated a Statement for a Bill, you can also obtain a time-bound pre-signed download URL using either the Retrieve Bill Statement in JSON Format and Retrieve Bill Statement in CSV Format calls found in the Bill section of this API Reference.
Notes:
- If the response to the Create StatementJob call shows the
statementJobStatusasPENDINGorRUNNING, you will not receive the pre-signed URL in the response. Wait a few minutes to allow the StatementJob to complete and then use the Get StatmentJob call in this section to obtain the pre-signed download URL for the generated Bill Statement. - When you have submitted a StatementJob and a Bill Statement has been generated, you can also download the Statement directly from a Bill Details page in the Console. See Working with Bill Statements in our user Documentation.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
Body
The list of unique identifiers (UUIDs) of the bills associated with the StatementJob.
1 - 10 elementsThe version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
A Boolean value indicating whether the generated statement includes a CSV format.
- TRUE - includes the statement in CSV format.
- FALSE - no CSV format statement.
Response
Returns a list of the created StatementJobs
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
The current status of the StatementJob. The status helps track the progress and outcome of a StatementJob.
PENDING, RUNNING, COMPLETE, CANCELLED, FAILED The unique identifier (UUID) of the bill associated with the StatementJob.
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
A Boolean value indicating whether the generated statement includes a CSV format.
- TRUE - includes the statement in CSV format.
- FALSE - no CSV format statement.
The URL to access the generated statement in JSON format. This URL is temporary and has a limited lifetime.
LATEST, STALE, INVALIDATED LATEST, STALE, INVALIDATED The date and time (in ISO-8601 format) when the StatementJob was created.
The date and time (in ISO-8601 format) when the StatementJob was last modified.
The unique identifier (UUID) of the user who created this StatementJob.
The unique identifier (UUID) of the user who last modified this StatementJob.